For the complete documentation index, see llms.txt. This page is also available as Markdown.

SSL/TLS

Manage SSL and TLS certificates, Let's Encrypt integrations, and certificate lifecycle operations through the Security API.

Use these endpoints to manage SSL/TLS certificates for your organization. You can upload custom certificates or issue certificates through Let’s Encrypt.

List SSL/TLS Certificates

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organization_uuidanyRequired

Unique identifier of the organization.

Query parameters
ssl_namestring · nullableOptional

Filters results by SSL name.

common_namestringOptional

Filters results by common name.

sort_fieldstring · enumOptionalPossible values:
sortstring · enumOptionalPossible values:
pageintegerOptional

Page number.

Default: 1
per_pageintegerOptional

Number of items per page.

Default: 24
Responses
200

Returns a paginated list of SSL/TLS certificates.

application/json
statusboolean · nullableRequired

Operation status.

dataany ofRequired
or
paginateany ofRequired
or
get/api/v1/ssl/{organization_uuid}/
GET /api/v1/ssl/{organization_uuid}/ HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": true,
  "data": [
    {
      "uuid": "text",
      "organization_uuid": "text",
      "ssl_name": "text",
      "expire_date": "2026-01-01T00:00:00.000Z",
      "common_name": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "type": "custom",
      "challenge_subdomain": "text"
    }
  ],
  "paginate": [
    {
      "current_page": 1,
      "per_page": 1,
      "total": 1,
      "last_page": 1
    }
  ]
}

Create SSL/TLS Certificate

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organization_uuidanyRequired

Unique identifier of the organization.

Body

Create SSL/TLS certificate.

ssl_namestring · min: 3 · max: 55Required

Certificate name.

ssl_crtstringRequired

Certificate (PEM).

ssl_passstring · nullableRequired

Private key password, if applicable.

ssl_keystringRequired

Private key (PEM).

Responses
200

Returns the created SSL/TLS certificate.

application/json

Response payload.

statusboolean · nullableRequired

Operation status.

dataany ofRequired

Customer SSL data.

or
post/api/v1/ssl/{organization_uuid}/
POST /api/v1/ssl/{organization_uuid}/ HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "ssl_name": "text",
  "ssl_crt": "text",
  "ssl_pass": "text",
  "ssl_key": "text"
}
{
  "status": true,
  "data": [
    {
      "uuid": "text",
      "organization_uuid": "text",
      "ssl_name": "text",
      "expire_date": "2026-01-01T00:00:00.000Z",
      "common_name": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "type": "custom",
      "challenge_subdomain": "text"
    }
  ]
}

Update SSL/TLS Certificate

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organization_uuidanyRequired

Unique identifier of the organization.

ssl_uuidanyRequired

Unique identifier of the SSL/TLS certificate.

Body

Update SSL/TLS certificate.

ssl_namestring · nullableRequired

Certificate name.

ssl_crtstringRequired

Certificate (PEM).

ssl_passstring · nullableRequired

Private key password, if applicable.

ssl_keystringRequired

Private key (PEM).

Responses
200

Returns the updated SSL/TLS certificate.

application/json

Response payload.

statusboolean · nullableRequired

Operation status.

dataany ofRequired

Customer SSL data.

or
put/api/v1/ssl/{organization_uuid}/{ssl_uuid}/
PUT /api/v1/ssl/{organization_uuid}/{ssl_uuid}/ HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 71

{
  "ssl_name": "text",
  "ssl_crt": "text",
  "ssl_pass": "text",
  "ssl_key": "text"
}
{
  "status": true,
  "data": [
    {
      "uuid": "text",
      "organization_uuid": "text",
      "ssl_name": "text",
      "expire_date": "2026-01-01T00:00:00.000Z",
      "common_name": "text",
      "created_at": "2026-01-01T00:00:00.000Z",
      "type": "custom",
      "challenge_subdomain": "text"
    }
  ]
}

Delete SSL/TLS Certificate

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organization_uuidanyRequired

Unique identifier of the organization.

ssl_uuidanyRequired

Unique identifier of the SSL/TLS certificate.

Responses
200

Returns a confirmation indicating that the certificate was deleted.

application/json
statusbooleanOptional
messagestringOptional
delete/api/v1/ssl/{organization_uuid}/{ssl_uuid}/
DELETE /api/v1/ssl/{organization_uuid}/{ssl_uuid}/ HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "status": true,
  "message": "text"
}

Let’s Encrypt

Use these endpoints to issue an SSL/TLS certificate through Let’s Encrypt. Complete the DNS verification step before finalizing the certificate.

Initiate Let’s Encrypt DNS Verification

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organization_uuidstringRequired

Unique identifier of the organization.

Body

Certificate generation request.

domainstringRequired

Domain name to validate.

Responses
200

Returns DNS challenge records required for verification.

application/json
statusbooleanOptional
operation_idstringOptional
post/api/v1/ssl/{organization_uuid}/lets-encrypt/initiate-dns-verification/
POST /api/v1/ssl/{organization_uuid}/lets-encrypt/initiate-dns-verification/ HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "domain": "text"
}
{
  "status": true,
  "data": {
    "cname_host": "text",
    "cname_target": "text"
  },
  "operation_id": "text"
}

Finalize Let’s Encrypt Certificate Creation

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organization_uuidstringRequired

Unique identifier of the organization.

Body

Finalize certificate creation request.

ssl_namestring · min: 3 · max: 55Required

Certificate name.

domainstringRequired

Domain name to issue the certificate for.

cname_targetstring · min: 3 · max: 255Required

CNAME target value returned from DNS verification.

Responses
200

Returns the created certificate identifier.

application/json
statusbooleanOptional
operation_idstringOptional
post/api/v1/ssl/{organization_uuid}/lets-encrypt/finalize-ssl-creation/
POST /api/v1/ssl/{organization_uuid}/lets-encrypt/finalize-ssl-creation/ HTTP/1.1
Host: cloud.medianova.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 57

{
  "ssl_name": "text",
  "domain": "text",
  "cname_target": "text"
}
{
  "status": true,
  "data": {
    "message": "text",
    "uuid": "text"
  },
  "operation_id": "text"
}

Last updated

Was this helpful?